Bug 69083 - sndconfig is not run if installing over FTP
Summary: sndconfig is not run if installing over FTP
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-07-17 19:05 UTC by Pavel Roskin
Modified: 2007-04-18 16:44 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-17 19:16:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pavel Roskin 2002-07-17 19:05:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1a+) Gecko/20020711

Description of problem:
I was installing RedHat over FTP from a directory that had all RPMs from the
distribution, with all updates (as of July 16, 2002) and indices regenerated by
genhdlist. The installer has never asked me for the sound card. I selected
custom install (with almost everything except games, SQL and news server), KDE
and graphical login as the default desktop, and after the first login (as user)
a message appeared:

Informational - artsmessage
Sound server informational message:
Error while initializing the sound driver
device /dev/dsp can't be opened (no such device)
The sound server will continue, using the null output device.
[ ] Don't show this message again.

However, sndconfig 0.68, when run manually, easily finds the card (Intel
Corp.|82201AA AR'97 Audio) and changes /etc/modiles.conf, so that the error
message doesn't appear anymore and the sound works.

I believe it's a bug that sndconfig is not run during install. I don't know if
it's specific to FTP installs.


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Install RedHat 7.3 over FTP
2. Login to KDE
	

Actual Results:  No sound

Expected Results:  Sound should work

Additional info:

Comment 1 Jeremy Katz 2002-07-18 03:33:03 UTC
If you have updates in a tree and a non-matching kernel for your boot image,
then kudzu's probe can't always work.  Thus, your sound didn't get set up.


Note You need to log in before you can comment on or make changes to this bug.